Skip to main content
GET
https://scrape.st
/
health
curl -X GET https://scrape.st/health
{
  "webpush": {
    "status": "<string>",
    "last_checkin": "<string>",
    "next_checkin": "<string>",
    "is_registered": true,
    "ws_connected": true,
    "twitter_authenticated": true
  },
  "webpoll": {
    "status": "<string>",
    "last_checkin": "<string>",
    "next_checkin": "<string>",
    "is_registered": true,
    "ws_connected": true,
    "twitter_authenticated": true
  },
  "telegram_bot": {
    "url": "<string>",
    "has_custom_certificate": true,
    "pending_update_count": 123,
    "ip_address": "<string>",
    "last_error_date": 123,
    "last_error_message": "<string>",
    "last_synchronization_error_date": 123,
    "max_connections": 123
  }
}
This endpoint provides an aggregated view of the health status for all system components, including Web Push, Web Poll, and the Telegram Bot.
webpush
object
Health status of the Web Push service.
webpoll
object
Health status of the Web Poll service.
telegram_bot
object
Health status of the Telegram Bot.
curl -X GET https://scrape.st/health